Subject: [Tigers] Rick McLeod and Sunbeam Specialties

From: Rick <[email-masked]>
Date: Mon, 12 Apr 2021 11:27:14 -0700

Hi I wondered if anyone could let me know if something is wrong. I’ve tried to contact Rick McLeod and Sunbeam Specialties for a week now. I’m not getting response by email and I’m getting a recording from Verizon that would indicate that the number is not working. I don’t know if something has happened or if his area code is changed. Please let me know thank you rick hyatt

Sent from my iPhone
_______________________________________________

[email-masked]

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/tigers http://autox.team.net/archive

Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]